org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ConstantTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ConstantTest

- Direct Known Subclasses:
    ConstantTest.Traversals

      public abstract class ConstantTest
      extends AbstractGremlinProcessTest

  Author:
    Matt Frantz (http://github.com/mhfrantz)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConstantTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_chooseXhasLabelXpersonX_valuesXnameX_constantXinhumanXX()` Scenario: Anonymous traversal within choose
    `void` | `g_V_constantX123X()` Scenario: Trivial use case from GraphTraversal
    `abstract Traversal<Vertex,String>` | `get_g_V_chooseXhasLabelXpersonX_valuesXnameX_constantXinhumanXX()`
    `abstract Traversal<Vertex,Integer>` | `get_g_V_constantX123X()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantTest

          public ConstantTest()

  - ### Method Detail

    - #### get_g_V_constantX123X

          public abstract Traversal<Vertex,Integer> get_g_V_constantX123X()

    - #### get_g_V_chooseXhasLabelXpersonX_valuesXnameX_constantXinhumanXX

          public abstract Traversal<Vertex,String> get_g_V_chooseXhasLabelXpersonX_valuesXnameX_constantXinhumanXX()

    - #### g_V_constantX123X

          public void g_V_constantX123X()

      Scenario: Trivial use case from GraphTraversal

    - #### g_V_chooseXhasLabelXpersonX_valuesXnameX_constantXinhumanXX

          public void g_V_chooseXhasLabelXpersonX_valuesXnameX_constantXinhumanXX()

      Scenario: Anonymous traversal within choose

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.